void main ( void )
{
//this script needs to survive a screen load, lets unattach it from the
//letter

int &mycur = &current_sprite;

  script_attach(1000);

 //1000 means can't be killed unless we do it, but now &current_sprite
 //won't work..

 freeze(1);
 &letter = 2;
 &story = 6;
 wait(2000);
 say_stop("`2亲爱的丁克，", &mycur);
 wait(250);
 say_stop("`2我们听说了在你家发生的事...", &mycur);
 say_stop("`2这对你来说一定非常突然，这么年轻又有这许多磨难...", &mycur);
 say_stop("`2如果你愿意的话，你随时可以到Terris来住...", &mycur);
 say_stop("`2我想Jack不会在意的。", &mycur);

 say_stop("`2真诚的， Maria Kneedlewood 阿姨", &mycur);
 wait(500);
 say_stop("哼... Terris.  是西面的小镇吧。", 1);
 wait(500);
 say_stop("哈！还有张地图！", 1);
 wait(500);
 &s2-map = 1;
 say_stop_xy("`%(以后按M就可以看地图了)", 20,380);
 fade_down();
 fill_screen(0);
 //move Dink
 &player_map = 439;
 sp_x(1, 362);
 sp_y(1, 303);
 load_screen();
 draw_screen();
 draw_status();
 fade_up();
 unfreeze(1);

 kill_this_task();
}
